require('dotenv').config();
const express = require('express');
var https = require('https');
var bodyParser = require('body-parser');
const server = express();
var fs = require('fs');
var readline = require('readline');
const pg = require('pg');

var options = {
  key: fs.readFileSync(process.env.wd + 'key.pem'),
  cert: fs.readFileSync(process.env.wd + 'cert.pem'),
  passprase: []
};

const client = new pg.Client({
    user: process.env.user,
    password: process.env.password,
    host: process.env.host,
    port: process.env.port,
    database: process.env.database,
    ssl: false,
    application_name: "osm_api"
})
client.connect()
/*
client.query('SELECT 1', (err, res) => {
  console.log(err, res)
  client.end()
})
*/
server.get('/pgtest', bodyParser.json(), function(req, res) {
  client.query('SELECT 1', (err, rslt) => {
    console.log(err, rslt)
    res.send(rslt.rows[0]);
  })
})


https.createServer(options, server).listen(process.env.nodeport, () => {
  console.log('started on ' + process.env.nodeport)
});